Name: w3c-libwww
Version: 5.4.0
Release: alt1

Summary: HTTP library of common code
License: W3C
Group: System/Libraries
Url: http://www.w3.org/Library
Icon: Lib48x.gif

Source: %url/Distribution/%name-%version.tar.bz2
Patch1: w3c-libwww-5.3.2-incdir.patch

# Automatically added by buildreq on Sun Dec 10 2000
BuildRequires: XFree86-devel cvs expat-devel ncurses-devel openssl openssl-devel telnet zlib-devel

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments.

%package devel
Summary: Libraries and header files for programs that use libwww
Group: Development/C
Requires: %name = %version

%description devel
Static libraries and header files for libwww, which are available as public
libraries.

%package apps
Summary: Applications built using Libwww web library: e.g. Robot, command line tool, etc
Group: Networking/WWW
Requires: %name = %version
Icon: robot48x.gif

%description apps
Web applications built using Libwww: Robot, Command line tool,
line mode browser.  The Robot can crawl web sites faster, and
with lower load, than any other web walker that we know of,
due to its extensive pipelining and use of HTTP/1.1.

The command line tool (w3c) is very useful for manipulation of
Web sites that implement more than just HTTP GET (e.g. PUT,
 POST, etc.).

The line mode browser is a minimal line mode web browser;
often useful to convert to ascii text.  Currently unavailable
until someone updates it to some new interfaces. (hint, hint...)

%prep
%setup -q
%patch1 -p1

%build
%configure \
	--enable-shared \
	--with-gnu-ld \
	--with-regex \
	--with-zlib \
	--with-ssl \
	--with-md5 \
	--with-expat \
	--enable-reentrant
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*
%_datadir/%name

%files devel
%_bindir/*-config
%_libdir/*.so
%_libdir/*.*a
%_includedir/*
%doc *.html Icons/*/*.gif

%files apps
%_bindir/webbot
%_bindir/w3c
%_bindir/www

%changelog
* Wed Oct 30 2002 AEN <aen@altlinux.ru> 5.4.0-alt1
- new version

* Sat Mar 17 2001 Mikhail Zabaluev <zabaluev@parascript.com> 5.3.2-ipl2mdk
- Changed group of the devel package to Development/C
- Built with --enable-reentrant configure option.

* Fri Dec 22 2000 Dmitry V. Levin <ldv@fandra.org> 5.3.2-ipl1mdk
- 5.3.2

* Sun Dec 10 2000 Dmitry V. Levin <ldv@fandra.org> 5.3.1-ipl1mdk
- RE adaptions.

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.3.1-1mdk
- Release 5.3.1
- compiled with ssl and md5 support

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.2.8-4mdk
- fix group
- build release

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
